_core:
  default_config_hash: U_osGwFmSBlCxLj13jTNB0qVtGbS876-wUPqWc74K6A
login_menu_item_title: ''
logout_menu_item_title: ''
login_link_title: 'Use Durham Tech login'
login_auto_redirect: false
login_redirect_url: ''
logout_redirect_url: ''
error_redirect_url: ''
error_throw: false
login_error_keep_session: false
local_login_saml_error: true
logout_different_user: false
drupal_login_roles: {  }
sp_entity_id: 'https://www.durhamtech.edu/'
sp_x509_certificate: 'file:../saml/dtech-saml--live.crt'
sp_new_certificate: ''
sp_private_key: 'file:../saml/dtech-saml--live.key'
metadata_valid_secs: 1
metadata_cache_http: false
idp_entity_id: 'https://sts.windows.net/xxxxxxx/'
idp_single_sign_on_service: 'https://login.microsoftonline.com/xxxxxxx/saml2'
idp_single_log_out_service: 'https://login.microsoftonline.com/xxxxxxx/saml2'
idp_change_password_service: ''
idp_certs:
  - 'file:../saml/dtech-saml--live-idp.crt'
idp_cert_encryption: ''
unique_id_attribute: 'http://schemas.microsoft.com/identity/claims/objectidentifier'
map_users: false
map_users_name: false
map_users_mail: true
map_users_roles:
  - anonymous
create_users: false
sync_name: false
sync_mail: false
user_name_attribute: ''
user_mail_attribute: 'http://schemas.xmlsoap.org/ws/2005/05/identity/claims/emailaddress'
request_set_name_id_policy: true
strict: true
security_metadata_sign: true
security_authn_requests_sign: true
security_logout_requests_sign: true
security_logout_responses_sign: true
security_nameid_encrypt: false
security_signature_algorithm: 'http://www.w3.org/2001/04/xmldsig-more#rsa-sha256'
security_encryption_algorithm: ''
security_messages_sign: true
security_assertions_signed: true
security_assertions_encrypt: false
security_nameid_encrypted: false
security_want_name_id: true
security_request_authn_context: true
security_lowercase_url_encoding: true
security_logout_reuse_sigs: true
security_allow_repeat_attribute_name: false
debug_display_error_details: false
debug_log_in: false
debug_log_saml_in: false
debug_log_saml_out: false
debug_phpsaml: false
use_proxy_headers: false
use_base_url: true
bypass_relay_state_check: false
